#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(nullptr);
    cin.tie(nullptr);

    int broj_takmicara;
    cin>>broj_takmicara;
    int druzeljubivost[broj_takmicara];

    int broj_poznanstva;
    cin>>broj_poznanstva;
    int poznanstva[broj_takmicara] = {0};

    bool druzeljubiv[broj_takmicara];

    //Unosi se druzeljubivost takmicara
    for(int i=0;i<broj_takmicara;i++){
        cin>>druzeljubivost[i];

        if(druzeljubivost[i] > 0){
            druzeljubiv[i] = true;
        }

        if(druzeljubivost[i] < 0){
            druzeljubiv[i] = false;
        }

        if(druzeljubivost[i] == 0){
            continue;
        }
    }

    for(int i = 0; i < broj_poznanstva; i++){
        int x,y;
        cin>>x>>y;
        if(druzeljubiv[x-1] == false && druzeljubiv[y-1] == false){
            poznanstva[x-1]--;
            poznanstva[y-1]--;
        }

        if(druzeljubiv[x-1] == false && druzeljubiv[y-1] == true){
            if(abs(druzeljubivost[x-1]) > abs(druzeljubivost[y-1])){
                poznanstva[x-1]--;
                poznanstva[y-1]--;
            }
            if(abs(druzeljubivost[x-1]) < abs(druzeljubivost[y-1])){
                poznanstva[x-1]++;
                poznanstva[y-1]++;
            }

            if(abs(druzeljubivost[x-1]) == abs(druzeljubivost[y-1])){
                poznanstva[x-1]++;
                poznanstva[y-1]++;
            }
        }

        if(druzeljubiv[x-1] == true && druzeljubiv[y-1] == false){
            if(abs(druzeljubivost[x-1]) > abs(druzeljubivost[y-1])){
                poznanstva[x-1]++;
                poznanstva[y-1]++;
            }
            if(abs(druzeljubivost[x-1]) < abs(druzeljubivost[y-1])){
                poznanstva[x-1]--;
                poznanstva[y-1]--;
            }
            if(abs(druzeljubivost[x-1]) == abs(druzeljubivost[y-1])){
                poznanstva[x-1]--;
                poznanstva[y-1]--;
            }
        }

        if(druzeljubiv[x-1] == true && druzeljubiv[y-1] == true){
            poznanstva[x-1]++;
            poznanstva[y-1]++;
        }

    }

    int rez = 0;
    for(int i=0; i < broj_takmicara; i++){
        rez += druzeljubivost[i] * poznanstva[i];
    }
    cout<<rez;

    return 0;
}